Package org.apache.struts2.interceptor.parameter
package org.apache.struts2.interceptor.parameter
-
ClassDescriptionDefault
ParameterAllowlister.Primes channel-specific runtime state required for an already-authorized parameter path to be walked by the value-stack — for example, registering the path's classes into the OGNLThreadAllowlistso OGNL may traverse them.ThreadLocal holder for per-request parameter authorization state, used by deserializer-level authorization (e.g. the REST plugin'sContentTypeInterceptor).Service for determining whether a given parameter name is authorized for injection into a target object, based onStrutsParameterannotation presence and depth.This interceptor sets all parameters on the value stack.Used to annotate public getter/setter methods or fields onActionclasses that are intended for parameter injection by theParametersInterceptor.Default implementation ofParameterAuthorizerthat checksStrutsParameterannotations on the target object's members to determine whether a parameter is authorized for injection.